Bug 1444098 (CVE-2017-7868) - CVE-2017-7868 icu: Heap-buffer overflow in utext_moveIndex32 function
Summary: CVE-2017-7868 icu: Heap-buffer overflow in utext_moveIndex32 function
Keywords:
Status: CLOSED DUPLICATE of bug 1444097
Alias: CVE-2017-7868
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1444099 1444100 1444101
Blocks: 1444102
TreeView+ depends on / blocked
 
Reported: 2017-04-20 14:45 UTC by Andrej Nemec
Modified: 2020-02-10 04:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 06:49:43 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-20 14:45:25 UTC
International Components for Unicode (ICU) for C/C++ has an out-of-bounds write caused by a heap-based buffer overflow related to the utf8TextAccess function in common/utext.cpp and the utext_moveIndex32* function.

References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=437

Upstream patch:

http://bugs.icu-project.org/trac/changeset/39671

Comment 1 Andrej Nemec 2017-04-20 14:46:28 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1444101]


Created mingw-icu tracking bugs for this issue:

Affects: epel-7 [bug 1444100]
Affects: fedora-all [bug 1444099]

Comment 2 Doran Moppert 2017-04-28 06:48:20 UTC
This is the same vulnerability as CVE-2017-7867 (bug 1444097), though clusterfuzz identified it as different due to a slightly different stack trace when the crash occurred.  Both are addressed by the same patch upstream, which correctly accounts for legacy 6-byte utf8 sequences.

Comment 3 Doran Moppert 2017-04-28 06:49:43 UTC

*** This bug has been marked as a duplicate of bug 1444097 ***

Comment 4 Doran Moppert 2020-02-10 04:32:24 UTC
Statement:

This flaw was found to be a duplicate of CVE-2017-7867. Please see https://access.redhat.com/security/cve/CVE-2017-7867 for information about affected products and security errata.


Note You need to log in before you can comment on or make changes to this bug.